cluster / config
10 operations.
GET /cluster/config
proxmox.cluster.config.$get()Directory index.
Returns an array of object.
POST /cluster/config
proxmox.cluster.config.$post()Generate new cluster configuration. If no links given, default to local IP address as link0.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
clustername | string | yes | The name of the cluster. — format pve-node, ≤ 15 chars |
link0…link7 | string | Address and priority information of a single corosync link. (up to 8 links supported; link0..link7) | |
nodeid | number | Node id for this node. — min 1 | |
token-coefficient | number | Coefficient used to determine Corosync's token timeout. See the corosync.conf(5) manual for more details. — min 0, default 125 | |
votes | number | Number of votes for this node. — min 1 |
GET /cluster/config/apiversion
proxmox.cluster.config.apiversion.$get()Return the version of the cluster join API available on this node.
Returns integer.
GET /cluster/config/join
proxmox.cluster.config.join.$get()Get information needed to join this cluster over the connected node.
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | The node for which the joinee gets the nodeinfo. — format pve-node, default "current connected node" |
POST /cluster/config/join
proxmox.cluster.config.join.$post()Joins this node into an existing cluster. If no links are given, default to IP resolved by node's hostname on single link (fallback fails for clusters with multiple links).
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
fingerprint | string | yes | Certificate SHA 256 fingerprint. |
force | boolean | Do not throw error if node already exists. | |
hostname | string | yes | Hostname (or IP) of an existing cluster member. |
link0…link7 | string | Address and priority information of a single corosync link. (up to 8 links supported; link0..link7) | |
nodeid | number | Node id for this node. — min 1 | |
password | string | yes | Superuser (root) password of peer node. — ≤ 128 chars |
votes | number | Number of votes for this node — min 0 |
GET /cluster/config/nodes
proxmox.cluster.config.nodes.$get()Corosync node list.
Returns an array of object.
POST /cluster/config/nodes/{node}
proxmox.cluster.config.nodes.$(node).$post()Adds a node to the cluster configuration. This call is for internal use.
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
apiversion | number | The JOIN_API_VERSION of the new node. | |
force | boolean | Do not throw error if node already exists. | |
link0…link7 | string | Address and priority information of a single corosync link. (up to 8 links supported; link0..link7) | |
new_node_ip | string | IP Address of node to add. Used as fallback if no links are given. — format ip | |
node | string | yes | The cluster node name. — format pve-node |
nodeid | number | Node id for this node. — min 1 | |
votes | number | Number of votes for this node — min 0 |
DELETE /cluster/config/nodes/{node}
proxmox.cluster.config.nodes.$(node).$delete()Removes a node from the cluster configuration.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
GET /cluster/config/qdevice
proxmox.cluster.config.qdevice.$get()Get QDevice status
Returns object.
GET /cluster/config/totem
proxmox.cluster.config.totem.$get()Get corosync totem protocol settings.
Returns object.